Name: kde-utils-kremotecontrol 
Summary: KDE frontend for your remote controls 
Version: 15.04.3
Release: %mkrel 1
Group:   Graphical desktop/KDE4
License: GPLv2+
URL:     http://utils.kde.org/projects/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kremotecontrol-%{version}.tar.xz
Patch50: kremotecontrol-4.7.90-namelink_skip.patch
BuildRequires: kdelibs-devel
BuildRequires: kde-workspace-devel
Requires: kde-runtime

%description
KRemoteControl (formerly known as KDELirc) is a KDE frontend for your
remote controls. It allows to configure actions for button presses on
remotes. All types of remotes supported by the Solid module in the KDE
platform are also supported by KRemoteControl (e.g. with the Linux
Infrared Remote Control system (LIRC) as backend).

%files
%defattr(-,root,root)
%{_kde_appsdir}/kremotecontrol/
%{_kde_appsdir}/kremotecontroldaemon/
%{_kde_datadir}/kde4/services/plasma-engine-kremotecontrol.desktop
%{_kde_datadir}/kde4/services/kcm_remotecontrol.desktop
%{_kde_datadir}/kde4/services/kded/kremotecontroldaemon.desktop
%{_kde_iconsdir}/hicolor/*/devices/infrared-remote.*
%{_kde_libdir}/kde4/kcm_remotecontrol.so
%{_kde_libdir}/kde4/kded_kremotecontroldaemon.so
%{_kde_libdir}/kde4/plasma_engine_kremoteconrol.so
%{_kde_datadir}/kde4/services/kremotecontrolbackends/
%{_kde_datadir}/kde4/servicetypes/kremotecontrolmanager.desktop
%{_kde_libdir}/kde4/kremotecontrol_lirc.so
%{_kde_bindir}/krcdnotifieritem
%{_kde_datadir}/applications/kde4/krcdnotifieritem.desktop
%{_kde_iconsdir}/hicolor/*/*/krcd*.*
%{_kde_docdir}//HTML/*/kcontrol/kremotecontrol/*
#
%{_kde_libdir}/liblibkremotecontrol.so.1*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n kremotecontrol-%{version}
%patch50 -p1 -b .namelink_skip

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-only-show-in="KDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

